Package com.io7m.idstore.server.service.templating

# Record Class IdFMPasswordResetData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.templating.IdFMPasswordResetData

Record Components:
  `htmlTitle` - The HTML title
  `pageHeaderTitle` - The page header title

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMPasswordResetData(String htmlTitle, String pageHeaderTitle) extends Record implements IdFMDataModelType
Data for the password reset screen template.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMPasswordResetData(String htmlTitle, String pageHeaderTitle)`
  Data for the password reset screen template.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `htmlTitle()`
  Returns the value of the `htmlTitle` record component.
  `String`
  `pageHeaderTitle()`
  Returns the value of the `pageHeaderTitle` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMPasswordResetData

    public IdFMPasswordResetData(String htmlTitle, String pageHeaderTitle)
    Data for the password reset screen template.
    Parameters:
      `htmlTitle` - The HTML title
      `pageHeaderTitle` - The page header title

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### htmlTitle

    public String htmlTitle()
    Returns the value of the `htmlTitle` record component.
    Returns:
      the value of the `htmlTitle` record component

  - ### pageHeaderTitle

    public String pageHeaderTitle()
    Returns the value of the `pageHeaderTitle` record component.
    Returns:
      the value of the `pageHeaderTitle` record component